Plugin Datenbank für Gutenberg Kompatibilität

4. März 2018Wordpress Plugins

Gutenberg, der neue WordPress Editor und Hauptbestandteil des bevorstehenden Versionssprungs auf WordPress 5.0, setzt einige Anpassungen voraus. Das betrifft insbesondere zahlreiche Plugins, die bisher nicht für die Verwendung im Gutenbergsystem vorbereitet wurden. In einer Datenbank können interessierte WordPress Webmaster nun nachsehen, welche Erweiterungen bereits kompatibel sind und welche noch Nachhilfe benötigen.

Dieser Artikel ist veraltet. Die verlinkte Datenbank für Gutenberg Plugin Kompatibilität wurde vom Betreiber abgeschaltet.

Zuletzt war dieser Text auf der Website zu lesen:

Rund 5.000 Plugins werden bereits in der Gutenberg Plugin Compatibility Liste von Daniel Bachhuber geführt. In tabellarischer Form kann man sich über den aktuellen Zustand des Plugins hinsichtlich der Umstrukturierungen schlau machen. Unterschieden wird zwischen kompatibel (yes) und nicht kompatibel (no), sowie zwischen wahrscheinlich (likely_yes) und unwahrscheinlich (likely_no). Interessant ist zudem die Möglichkeit der Sortierung nach aktiven Installationen des jeweiligen Plugins.

Voraussetzungen für die Kompatibilität

Die Voraussetzungen, um in dieser Tabelle als „kompatibel“ gelistet zu werden, sind einfach:

  • Der WordPress Nutzer kann alle Plugin-Funktionen nutzen, wenn Gutenberg aktiv ist. Lässt sich ein Plugin nicht in das Blocksystem von Gutenberg einordnen bzw. bietet nicht die gleichen Möglichkeiten, wie ohne Gutenberg, wird es als inkompatibel gelistet.
  • Es tauchen keine Fehlermeldung auf

So einfach ist das. Und dennoch sind auch einige prominente Plugins noch nicht auf dem neuesten Stand bezüglich Gutenbergtauglichkeit.

Am Gutenberg Plugin-Kompatibilitätstest beteiligen

Du interessierst dich für dieses Thema und möchtest dabei helfen, den Datensatz zu erweitern? Durch eine Registrierung kannst du dich als Tester bewerben. Auf der o.g. Website kannst du dann eine eigene WordPress Sandbox anlegen um zufällig ausgewählte Plugins auf ihre Funktion mit Gutenberg zu testen.

Ein wie wir finden tolles Projekt das nicht nur dem WordPress Entwicklerteam unter die Arme greift, sondern auch Plugin Entwickler dazu ermutigt, ihre Erweiterungen zukunftsfähig zu konzipieren bzw. zu optimieren.

Kommentare zu "Plugin Datenbank für Gutenberg Kompatibilität"
  1. traveldaveuk schrieb am 8. März 2018, um 07:31 Uhr:

    Supie. Probiere es mal. Danke

  2. Labois schrieb am 16. März 2018, um 18:41 Uhr:

    Danke, das gebe ich gern so weiter :-).

  3. Sascha schrieb am 25. Oktober 2020, um 16:27 Uhr:

    Link zur Liste der mit Gutenberg angeblich inkompatiblen Plugins von D. Bachhuber = Error 520 Ray ID: 5e7cebf408572b22 • 2020-10-25 15:20:27 UTC
    Web server is returning an unknown error

    Das sagt eigentlich schon alles.

  4. Florian schrieb am 25. Oktober 2020, um 16:42 Uhr:

    Hallo Sascha, danke für den Hinweis. Ich habe den Artikel als veraltet markiert.